Bug 1182386 - [RFE][HC] - for hyperconverged use case, ovirt is missing a prep tool that handles initial configuration
Summary: [RFE][HC] - for hyperconverged use case, ovirt is missing a prep tool that ha...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: RFEs
Version: 1.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Alon Bar-Lev
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: Generic_Hyper_Converged_Host
TreeView+ depends on / blocked
 
Reported: 2015-01-15 01:29 UTC by Paul Cuzner
Modified: 2016-02-10 19:03 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 07:23:00 UTC
oVirt Team: Infra


Attachments (Terms of Use)

Description Paul Cuzner 2015-01-15 01:29:54 UTC
Description of problem:
for hyperconverged there isn't a tool available that preps the server for use as a hyperconverged node. Tasks would include
- network configuration
- storage configuration
  - raid card detect
  - detect ssd and hdd
  - raid set build - interface to raid card utils/api
  - dmcache configuration (writethrough)
  - lv creation from raidset
  - association of lv's to cache lv's
  - creation of filesystem
  - mount via fstab
  - create glusterfs volume
  - optimise volume for virt store
  - optimise glusterd
    - base-port 49217
    - rpc-auth-allow-insecure on
  - apply additional volume tuning
    - network.ping-timeout 10
    - cluster.quorum-type auto
    - cluster.server-quorum-type server
    - server.allow-insecure on
- firewall configuration
- nfsmount.conf changed to "Lock=False"

Such a tool could also provide the mechanism for prepping new nodes into an existing cluster.

Perhaps this could be something similar to the rhev-h configuration tool?


    - 
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alon Bar-Lev 2015-01-15 08:22:57 UTC
not sure I understand what ovirt component actually requires this tool

Comment 2 Paul Cuzner 2015-01-15 09:44:34 UTC
(In reply to Alon Bar-Lev from comment #1)
> not sure I understand what ovirt component actually requires this tool

:) To be honest I don't know where this requirement sits. ovirt or rhev? The bottom line is for a converged solution there is a prep phase for the server that needs to occur prior to the gluster config and hosted-engine install.

I raised this so we track this requirement.

Comment 3 Alon Bar-Lev 2015-01-15 09:51:58 UTC
not sure I understand, why don't you just install this package prepare whatever you need. then deploy host?


Note You need to log in before you can comment on or make changes to this bug.